import React from 'react';
import ReactDOM from 'react-dom';
import { rect } from 'd3';

const width = 960;
const height = 500;
const App = () => { 
  return(
 	<svg width={width-50} height={height-10}>
      <circle cx="0" cy="0" r="200" transform="translate(430 250)" />
      <text x="-10" y="-165" fill="white" transform="translate(430 250)" font-size="2em">12</text>
      <text x="165" y="10" fill="white" transform="translate(430 250)" font-size="2em">3</text>
   		<text x="-10" y="165" fill="white" transform="translate(430 250)" font-size="2em">6</text>
   		<text x="-165" y="10" fill="white" transform="translate(430 250)" font-size="2em">9</text>
   
      <g stroke="steelblue" stroke-width="12" stroke-linecap="round">
        <rect x="0"
    		  y="0"
     			width="150"
      		height="0.5"
      		fill= "blue" 
          transform="translate(430 250)"
          />
        <animateTransform attributeName="transform" 
          type="rotate" 
          from="-90 430 250" to="90 430 250"
          //from="0 0"
    			//to="0 500"
    			begin="0s"
    			dur="60s"
    			repeatCount="indefinite"
        />
        </g>
         <g stroke="steelblue" stroke-width="12" stroke-linecap="round">
        <rect x="0"
    		  y="0"
     			width="120"
      		height="0.5"
      		fill= "blue" 
          transform="translate(430 250)"
          />
        <animateTransform attributeName="transform" 
          type="rotate" 
          from="-90 430 250" to="-90 430 250"
          //from="0 0"
    			//to="0 500"
    			begin="0s"
    			dur="3600s"
    			repeatCount="indefinite"
        />
      </g>
       <g stroke="steelblue" stroke-width="12" stroke-linecap="round">
        <rect x="0"
    		  y="0"
     			width="100"
      		height="2"
      		fill= "blue" 
          transform="translate(430 250)"
          />
        <animateTransform attributeName="transform" 
          type="rotate" 
          from="0 430 250" to="360 430 250"
          //from="0 0"
    			//to="0 500"
    			begin="0s"
    			dur="216000s"
    			repeatCount="indefinite"
        />
      </g>
  </svg>
   );
};
ReactDOM.render(<App />, document.getElementById('root'));
